Bug 2401 - sndconfig not properly writting out to isapnp.conf
sndconfig not properly writting out to isapnp.conf
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-04-28 15:34 EDT by jvincent
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-04-30 10:48:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jvincent 1999-04-28 15:34:42 EDT
I would guess this is a result of it writing isapnp.conf
with a (VERIFYLD N) at the top of the file before it runs
the sound tests. I've only seen this with the soundblaster
cards i've tried. I can update with the full error message
tonight when i get home to redo it on the two machines that
i tried it on. This is my first bug report so if more
information is needed please let me know.
Comment 1 Bill Nottingham 1999-04-28 17:44:59 EDT
More information is needed. What is it writing that's causing
it to fail? (The error message and a copy of the isapnp.conf
would be helpful.)  In general, sndconfig just writes the
isapnp.conf that pnpdump hands it, with certain settings

------- Email Received From  jvincent@qa.butlerintl.com 04/28/99 21:43 -------
Comment 2 Bill Nottingham 1999-04-29 11:44:59 EDT
OK, it looks like sndconfig did botch the isapnp.conf
file, although I'm not quite sure how yet. What you can

- remove that /etc/isapnp.conf (the problem is that
it's got about 4 entries for the same card...)
- run 'pnpdump --config >/etc/isapnp.conf'
- run 'isapnp /etc/isapnp.conf' and note the settings it picked
- put these settings in /etc/conf.modules
(there should be an 'options sb' line that should show
you the general format)

Does that help?

------- Email Received From  jvincent@qa.butlerintl.com 04/29/99 11:47 -------

------- Email Received From  jvincent@qa.butlerintl.com 04/30/99 00:28 -------
Comment 3 Bill Nottingham 1999-04-30 10:48:59 EDT
Not really; I'm not sure what happened to your /etc/isapnp.conf;
it basically ended up with the same card entered four
times over, which really confused isapnp.

Note You need to log in before you can comment on or make changes to this bug.